
.. Copyright (C)  2014 Champs Libres Cooperative SCRLFS
   Permission is granted to copy, distribute and/or modify this document
   under the terms of the GNU Free Documentation License, Version 1.3
   or any later version published by the Free Software Foundation;
   with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
   A copy of the license is included in the section entitled "GNU
   Free Documentation License".

.. _forms:

Forms and form types
####################

Date picker
***********

Class
   :class:`Chill\MainBundle\Form\Type\ChillDateType`
Extend
   :class:`Symfony\Component\Form\Extension\Core\Type\DateType`


Usage :

.. code-block:: php

   use Chill\MainBundle\Form\Type\ChillDateType;

   $builder->add('date' ChillDateType::class);

Text editor
***********

Add a text editor (by default).

Class
   :class:`Chill\MainBundle\Form\Type\ChillTextareaType`
Options
   * :code:`disable_editor` to disable text editor


